osgDB::type_wrapper< T > Struct Template Reference

`#include <Input>`

Inheritance diagram for osgDB::type_wrapper< T >:

## Public Member Functions

bool | matches (const osg::Object *proto) const
Public Member Functions inherited from osgDB::basic_type_wrapper
virtual | ~basic_type_wrapper ()

## Detailed Description

template<class T>
struct osgDB::type_wrapper< T >

a class template that checks inheritance between a given Object's class and a class defined at compile time through the template parameter T. This is used in conjunction with readObjectOfType() to specify an abstract class as reference type.

## Member Function Documentation

## matches()

template<class T>

bool osgDB::type_wrapper< T >::matches | ( | const osg::Object * | proto | ) | const

inline virtual

Implements osgDB::basic_type_wrapper.

The documentation for this struct was generated from the following file:

- osgDB/Input